WordPress.org

Ready to get started?Download WordPress

Forums

Subscribe2
[resolved] Hades theme news ticker not working with Subscribe2 (10 posts)

  1. sjsworks
    Member
    Posted 1 year ago #

    I use Hades theme from Themeforest for our site http://socialjusticesolutions.org, when Subscribe 2 isenabled, the news ticker stops moving. I love the plugin, was hoping someone might have some info on this.

    http://wordpress.org/extend/plugins/subscribe2/

  2. mattyrob
    Member
    Plugin Contributor

    Posted 1 year ago #

    @sjsworks,

    I'll presume you are using the Widget. By default it uses a class name of 'search' which is usually the same as the search box in core WordPress themes.

    It's also the same as in your premium theme so I suspect a JavaScript issue is going on as the same script is being deployed on two elements on your page when the Subscribe2 widget is present.

    In the Widgets settings try removing or changing the div name and see if that resolves things. If it does, you would then probably need to find a suitable way to style the Subscribe2 widget.

  3. sjsworks
    Member
    Posted 1 year ago #

    I was not using the widget, I was running this code in Ad Inserter

    <div style="width: 100%;"> <div style=" padding: 1px 2px; border:1px solid black;background-color:black; "> <form action=http://www.socialjusticesolutions.org/subscribe/ method="post" accept-charset="utf-8" id="loggedout-follow">
          <p style="color:white;"><b>Have SJS posts emailed to you twice daily. Just fill in you're email address below.</b></p>
    
          <p>
            <input type="text" name="email" id="s2email" style="width: 75%; padding: 1px 2px; border:2px solid blue;" value="Enter email address" onfocus='this.value=(this.value=="Enter email address") ? "" : this.value;' onblur='this.value=(this.value=="") ? "Enter email address" : this.value;'  id="loggedout-follow-field"/>
          </p>
    
          <input type="hidden" name="ip" value="69.118.185.81">
    
          <p id='bsub-subscribe-button'>
            <input type="submit" name="subscribe"  value="Subscribe!" />
          </p>
        </form>
    </div>
    </div>

    When I disable Ad Inserter I still have the same error.

  4. mattyrob
    Member
    Plugin Contributor

    Posted 1 year ago #

    @sjsworks,

    Try using the built-in widget would be my first response, this will avoid any coding error related issues. It will also ensure that the side bar code remains as HTML valid as it can by using the correct sidebar markup for your theme.

  5. sjsworks
    Member
    Posted 1 year ago #

    I have tried that, but to demonstrate I set it up with the plugin, and Ad Inserter deleted. Perhaps you could check it out? This only started after I updated to 3.5, before then the News Ticker was working fine. Incidentally, the news ticker isn't the only thing that breaks when I enable S2, SimpleModalLogin, no longer works as well.

  6. sjsworks
    Member
    Posted 1 year ago #

    Figured it out! When i uncheck Enable AJax style subscription form, the ticker works again. Simple Modal works as well. Not sure what is going on, but I hope it helps you. Thanks for the plugin, it's great!

  7. mattyrob
    Member
    Plugin Contributor

    Posted 1 year ago #

    @sjsworks,

    You only need the AJAX part of Subscribe2 enabled if you are going to use the modal popup via a link. If you are just going to use the form as it stands then you don't need that enabled.

    I'll take a look at that code insertion though and see if there's a glitch.

  8. mattyrob
    Member
    Plugin Contributor

    Posted 1 year ago #

    @sjsworks,

    Is there an update for the theme? It seems to be using pretty old versions of jQuery and it's libraries. I'm not sure if that is part of the issue but it might be contributing.

  9. sjsworks
    Member
    Posted 1 year ago #

    That sounds about right, there is no major upgrade and I cannot switch themes right now, but I will bring this to them, they should know there are problems, your plugin is pretty major.

  10. mattyrob
    Member
    Plugin Contributor

    Posted 1 year ago #

    @sjsworks,

    According to this page:
    http://codex.wordpress.org/Version_3.5

    jQuery was bumped to version 1.8.3 in WordPress 3.5 and jQuery UI was updated to 1.9.2.

    Your theme appears to be using mainly jQuery UI 1.6.1 apart from the 'core' library which is from WordPress (so 1.9.2).

    The theme may well need a static version of jQuery but in turn this may impact on other code using more up to date version of the libraries.

    I hope you get a good response from the theme authors.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags

No tags yet.